Delete a path
curl --request DELETE \
--url https://api.cloudsquid.io/api/projects/{project_name}/files \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.cloudsquid.io/api/projects/{project_name}/files"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.cloudsquid.io/api/projects/{project_name}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}Filesystem
Delete by Path
Delete the file or folder at a path. Folders are deleted recursively.
DELETE
/
projects
/
{project_name}
/
files
Delete a path
Destructive operation: Folder deletion is recursive and permanent. The project root (
/) cannot be deleted.What this does
Deletes whatever exists at the given path. If the path is a folder, all files and subfolders within it are deleted recursively. Returns204 No Content on success with no response body.
Example
curl -X DELETE \
"https://api.cloudsquid.io/api/projects/my-project/files?path=/invoices/2024/jan.pdf" \
-H "X-API-Key: YOUR_API_KEY"
import requests
response = requests.delete(
"https://api.cloudsquid.io/api/projects/my-project/files",
params={"path": "/invoices/2024/jan.pdf"},
headers={"X-API-Key": "YOUR_API_KEY"}
)
assert response.status_code == 204
await fetch(
"https://api.cloudsquid.io/api/projects/my-project/files?path=/invoices/2024/jan.pdf",
{
method: "DELETE",
headers: { "X-API-Key": "YOUR_API_KEY" }
}
);
204 No Content (empty body)Was this page helpful?
⌘I
